Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations

CreateNfvInstGroup

CreateNfvInstGroup

POST/zstack/v1/nfvinstgroup/group

Operation ID

CreateNfvInstGroup

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • paramsstructure
    ObjectRequired

    paramsstructure request body object.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • instType
      StringRequired

      The inst type.

    • funcType
      StringRequired

      The func type.

    • monitorIps
      List

      Optional.

    • nfvInstOfferingUuid
      StringRequired

      The NFV inst offering UUID.

    • frontEndL3NetworkUuid
      String

      Optional.

    • backendL3NetworkUuids
      List

      Optional.

    • resourceUuid
      String

      Optional. The resource Uuid.

    • tagUuids
      List

      Optional. The list of tag Uuids.

    • netOsDistro
      String

      Optional.

    • baseOsDistro
      String

      Optional.

    • vipUuid
      String

      Optional. VIP UUID

    • ipv6VipUuid
      String

      Optional.

    • primaryStorageUuid
      String

      Optional. The primary storage Uuid.

    • primaryStoragePoolUuid
      String

      Optional.

    • clusterUuid
      String

      Optional. The cluster Uuid.

    • zoneUuid
      String

      Optional. The zone Uuid.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    NfvInstGroupInventoryRequired

    See inventory.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource Uuid.

    • description
      String

      Optional. The detailed description of the resource.

    • nfvInstOfferingUuid
      StringRequired

      The NFV inst offering UUID.

    • configVersion
      intRequired

      The config version.

    • netOsDistro
      StringRequired

      The net OS distro.

    • baseOsDistro
      StringRequired

      The base OS distro.

    • statusDetail
      StringRequired

      The status detail.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • vipUuid
      StringRequired

      VIP UUID

    • ipv6VipUuid
      StringRequired

      The ipv 6 VIP UUID.

    • primaryStorageUuid
      StringRequired

      The primary storage Uuid.

    • primaryStoragePoolUuid
      StringRequired

      The primary storage pool UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • zoneUuid
      StringRequired

      The zone UUID.

    • instType
      InstTypeRequired

      See instType.

      • KVM
        InstTypeRequired

        The KVM.

      • CONTAINER
        InstTypeRequired

        The CONTAINER value.

      • HOST
        InstTypeRequired

        The HOST value.

    • funcType
      FuncTypeRequired

      See funcType.

      • OVN_SDN_CONTROLLER
        FuncTypeRequired

        The OVN_SDN_CONTROLLER value.

    • status
      NfvInstGroupStatusRequired

      See status.

      • Initializing
        NfvInstGroupStatusRequired

        The Initializing value.

      • Healthy
        NfvInstGroupStatusRequired

        The Healthy value.

      • Degraded
        NfvInstGroupStatusRequired

        The Degraded value.

      • Operating
        NfvInstGroupStatusRequired

        The Operating value.

      • Unavailable
        NfvInstGroupStatusRequired

        The Unavailable value.

    • operationMode
      NfvInstGroupOperationModeRequired

      See operationMode.

      • Normal
        NfvInstGroupOperationModeRequired

        The Normal value.

      • Maintenance
        NfvInstGroupOperationModeRequired

        The Maintenance value.

    • instances
      ListRequired

      See instances.

      • configVersion
        intRequired

        The config version.

      • nfvInstGroupUuid
        StringRequired

        The NFV inst group UUID.

      • netOsDistro
        StringRequired

        The net OS distro.

      • baseOsDistro
        StringRequired

        The base OS distro.

      • clusterStatus
        StringRequired

        The cluster status.

      • statusDetail
        StringRequired

        The status detail.

      • applianceVmType
        StringRequired

        The appliance VM instance type.

      • managementNetworkUuid
        StringRequired

        The management network UUID.

      • defaultRouteL3NetworkUuid
        StringRequired

        The default route L3 network UUID.

      • status
        StringRequired

        The resource status.

        • Initializing
          NfvInstGroupStatusRequired

          The Initializing value.

        • Healthy
          NfvInstGroupStatusRequired

          The Healthy value.

        • Degraded
          NfvInstGroupStatusRequired

          The Degraded value.

        • Operating
          NfvInstGroupStatusRequired

          The Operating value.

        • Unavailable
          NfvInstGroupStatusRequired

          The Unavailable value.

      • agentPort
        IntegerRequired

        The agent port.

      • haStatus
        StringRequired

        The HA status.

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • description
        String

        Optional. The detailed description of the resource.

      • zoneUuid
        StringRequired

        The zone UUID.

      • clusterUuid
        StringRequired

        The cluster UUID.

      • imageUuid
        StringRequired

        The image UUID.

      • hostUuid
        StringRequired

        The host UUID.

      • lastHostUuid
        StringRequired

        The last host UUID.

      • instanceOfferingUuid
        StringRequired

        The instance offering Uuid.

      • rootVolumeUuid
        StringRequired

        The root volume UUID.

      • platform
        StringRequired

        The platform.

      • architecture
        StringRequired

        The architecture.

      • defaultL3NetworkUuid
        StringRequired

        The default L3 network UUID.

      • type
        StringRequired

        The resource type.

      • hypervisorType
        StringRequired

        The hypervisor type.

      • memorySize
        LongRequired

        The memory size.

      • reservedMemorySize
        LongRequired

        The reserved memory size.

      • cpuNum
        IntegerRequired

        The number of CPUs.

      • cpuSpeed
        LongRequired

        The CPU speed.

      • allocatorStrategy
        StringRequired

        The allocator strategy.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • state
        StringRequired

        The resource state.

      • guestOsType
        StringRequired

        The guest OS type.

      • vmNics
        ListRequired

        See vmNics.

        • uuid
          StringRequired

          The resource Uuid.

        • vmInstanceUuid
          StringRequired

          The VM instance Uuid.

        • l3NetworkUuid
          StringRequired

          The L3 network Uuid.

        • ip
          StringRequired

          The IP address.

        • mac
          StringRequired

          The MAC address.

        • hypervisorType
          StringRequired

          The hypervisor type.

        • netmask
          StringRequired

          The netmask.

        • gateway
          StringRequired

          The gateway IP address.

        • metaData
          StringRequired

          The metadata.

        • ipVersion
          IntegerRequired

          The IP version.

        • driverType
          StringRequired

          The driver type.

        • internalName
          StringRequired

          The internal name.

        • deviceId
          IntegerRequired

          The device ID.

        • type
          StringRequired

          The resource type.

        • state
          StringRequired

          The NIC state.

        • createDate
          TimestampRequired

          The creation date.

        • lastOpDate
          TimestampRequired

          The last operation date.

        • usedIps
          ListRequired

          See usedIps.

          • uuid
            StringRequired

            The resource Uuid.

          • ipRangeUuid
            StringRequired

            The IP range Uuid.

          • l3NetworkUuid
            StringRequired

            The L3 network Uuid.

          • ipVersion
            IntegerRequired

            The IP version.

          • ip
            StringRequired

            The IP address.

          • netmask
            StringRequired

            The netmask.

          • gateway
            StringRequired

            The gateway IP address.

          • usedFor
            StringRequired

            The allocation reason.

          • ipInLong
            longRequired

            The IP address represented as a long integer.

          • ipInBinary
            byte[]Required

            The IP in binary.

          • vmNicUuid
            StringRequired

            The VM NIC Uuid.

          • createDate
            TimestampRequired

            The creation date.

          • lastOpDate
            TimestampRequired

            The last operation date.

      • allVolumes
        ListRequired

        See allVolumes.

        • uuid
          StringRequired

          The resource Uuid.

        • name
          StringRequired

          The resource name.

        • description
          String

          Optional. The detailed description of the resource.

        • primaryStorageUuid
          StringRequired

          The primary storage Uuid.

        • vmInstanceUuid
          StringRequired

          The VM instance Uuid.

        • diskOfferingUuid
          StringRequired

          The disk offering Uuid.

        • rootImageUuid
          StringRequired

          The root image UUID.

        • installPath
          StringRequired

          The installation path.

        • type
          StringRequired

          The resource type.

        • format
          StringRequired

          The format.

        • size
          LongRequired

          The size.

        • actualSize
          LongRequired

          The actual size.

        • deviceId
          IntegerRequired

          The device ID.

        • state
          StringRequired

          The resource state.

        • status
          StringRequired

          The resource status.

          • Initializing
            NfvInstGroupStatusRequired

            The Initializing value.

          • Healthy
            NfvInstGroupStatusRequired

            The Healthy value.

          • Degraded
            NfvInstGroupStatusRequired

            The Degraded value.

          • Operating
            NfvInstGroupStatusRequired

            The Operating value.

          • Unavailable
            NfvInstGroupStatusRequired

            The Unavailable value.

        • createDate
          TimestampRequired

          The creation date.

        • lastOpDate
          TimestampRequired

          The last operation date.

        • isShareable
          BooleanRequired

          Whether the resource is shareable.

        • volumeQos
          StringRequired

          The volume QoS.

        • lastDetachDate
          TimestampRequired

          The last detach date.

        • lastVmInstanceUuid
          StringRequired

          The last VM instance UUID.

      • vmCdRoms
        ListRequired

        See vmCdRoms.

        • uuid
          StringRequired

          The resource Uuid.

        • vmInstanceUuid
          StringRequired

          The VM instance Uuid.

        • deviceId
          IntegerRequired

          The device ID.

        • isoUuid
          StringRequired

          The ISO UUID.

        • isoInstallPath
          StringRequired

          The ISO install path.

        • name
          StringRequired

          The resource name.

        • description
          String

          Optional. The detailed description of the resource.

        • createDate
          TimestampRequired

          The creation date.

        • lastOpDate
          TimestampRequired

          The last operation date.

    • monitors
      ListRequired

      See monitors.

      • id
        LongRequired

        The resource ID.

      • nfvInstGroupUuid
        StringRequired

        The NFV inst group UUID.

      • monitorIp
        StringRequired

        The monitor IP.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • services
      ListRequired

      See services.

      • id
        LongRequired

        The resource ID.

      • nfvInstGroupUuid
        StringRequired

        The NFV inst group UUID.

      • networkServiceName
        StringRequired

        The network service name.

      • networkServiceUuid
        StringRequired

        The network service UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • configTasks
      ListRequired

      See configTasks.

      • id
        longRequired

        The resource ID.

      • nfvInstGroupUuid
        StringRequired

        The NFV inst group UUID.

      • configVersion
        intRequired

        The config version.

      • serviceUuid
        StringRequired

        The service UUID.

      • taskName
        StringRequired

        The task name.

      • taskData
        StringRequired

        The task data.

      • path
        StringRequired

        The path.

      • checkStatus
        booleanRequired

        The check status.

    • l3Networks
      ListRequired

      See l3Networks.

      • nfvInstGroupUuid
        StringRequired

        The NFV inst group UUID.

      • networkServiceUuid
        StringRequired

        The network service UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network Uuid.

      • l3NetworkCategory
        StringRequired

        The L3 network category.

      • l3NetworkType
        StringRequired

        The L3 network type.

      • type
        StringRequired

        The resource type.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

  • Change Time

    AddedRequest body fields paramsstructure
    View API